Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class InterceptorConfig.Builder

    java.lang.Object
      com.opensymphony.xwork2.config.entities.InterceptorConfig.Builder

Enclosing class:
  InterceptorConfig

    public static final class InterceptorConfig.Builder

extends java.lang.Object

The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

Field Summary
`protected InterceptorConfig` | `target`

Constructor Summary
`InterceptorConfig.Builder(InterceptorConfig orig)`
`InterceptorConfig.Builder(java.lang.String name, java.lang.String className)`

Method Summary
`InterceptorConfig.Builder` | `addParam(java.lang.String name, java.lang.String value)`
`InterceptorConfig.Builder` | `addParams(java.util.Map<java.lang.String,java.lang.String> params)`
`InterceptorConfig` | `build()`
`InterceptorConfig.Builder` | `className(java.lang.String name)`
`protected void` | `embalmTarget()`
`InterceptorConfig.Builder` | `location(Location loc)`
`InterceptorConfig.Builder` | `name(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### target

    protected InterceptorConfig target

Constructor Detail

### InterceptorConfig.Builder

    public InterceptorConfig.Builder(java.lang.String name,
                                     java.lang.String className)

### InterceptorConfig.Builder

    public InterceptorConfig.Builder(InterceptorConfig orig)

Method Detail

### name

    public InterceptorConfig.Builder name(java.lang.String name)

### className

    public InterceptorConfig.Builder className(java.lang.String name)

### addParam

    public InterceptorConfig.Builder addParam(java.lang.String name,
                                              java.lang.String value)

### addParams

    public InterceptorConfig.Builder addParams(java.util.Map<java.lang.String,java.lang.String> params)

### location

    public InterceptorConfig.Builder location(Location loc)

### build

    public InterceptorConfig build()

### embalmTarget

    protected void embalmTarget()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.